//
//  CUViewController.m
//  MultipleViews
//
//  Created by Ken Anderson on 10/18/12.
//  Copyright (c) 2012 University of Colorado. All rights reserved.
//

#import "RedViewController.h"

#import "GreenViewController.h"
#import "BlueViewController.h"

@interface RedViewController ()

@end

@implementation RedViewController

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    self.countLabel.text = [NSString stringWithFormat:@"%d", ++self.redCount];
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    if ([segue.identifier isEqualToString:@"green"]) {
        GreenViewController *vc = (GreenViewController *)segue.destinationViewController;
        vc.viewCount = ++self.greenCount;
    } else if ([segue.identifier isEqualToString:@"blue"]) {
        BlueViewController *vc = (BlueViewController *)segue.destinationViewController;
        vc.viewCount = ++self.blueCount;
    }
}

@end
